Name:           gnustep-gui
Version:        0.18.0
Release:        2%{?dist}

Summary:        The GNUstep GUI library
License:        GPLv2+ and GPLv3+
Group:          Development/Libraries

URL:            http://www.gnustep.org
Source:         ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

BuildRequires:  gcc-objc
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  cups-devel
BuildRequires:  aspell-devel
BuildRequires:  giflib-devel
BuildRequires:  audiofile-devel
BuildRequires:  portaudio-devel >= 19
BuildRequires:	texinfo, texi2html, texinfo-tex
BuildRequires:  gnustep-make >= 2.4.0
BuildRequires:  gnustep-base-devel
Requires:       gnustep-base >= 1.15.1
Requires:       %{name}-libs = %{version}-%{release}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based
upon the OpenStep specification as release by NeXT Software, Inc.  These
classes include graphical objects such as buttons, text fields, popup
lists, browser lists, and windows; there are also many associated
classes for handling events, colors, fonts, pasteboards and images.

%package libs
Summary:        Libraries for %{name}
Group:          Development/Libraries
License:        LGPLv2+ and LGPLv3+
%description libs
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based
upon the OpenStep specification as release by NeXT Software, Inc.  These
classes include graphical objects such as buttons, text fields, popup
lists, browser lists, and windows; there are also many associated
classes for handling events, colors, fonts, pasteboards and images.

This package contains the libraries for %{name}

%package devel
Summary:        Header files for the gnustep-gui package
Group:          Development/Libraries
Requires:       gnustep-make
Requires:       gnustep-base-devel
Requires:       %{name}-libs = %{version}-%{release}

%description devel
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based
upon the OpenStep specification as release by NeXT Software, Inc.  These
classes include graphical objects such as buttons, text fields, popup
lists, browser lists, and windows; there are also many associated
classes for handling events, colors, fonts, pasteboards and images.

This package contains the header files for gnustep-gui.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
License:        GFDL
Requires:       %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description doc
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based
upon the OpenStep specification as release by NeXT Software, Inc.  These
classes include graphical objects such as buttons, text fields, popup
lists, browser lists, and windows; there are also many associated
classes for handling events, colors, fonts, pasteboards and images.

This package contains the documentation for %{name}

%prep
%setup -q

%build
%configure --with-installation-domain=SYSTEM
make %{?_smp_mflags} messages=yes
make %{?_smp_mflags} -C Documentation  messages=yes \
     GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles \
     

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
make -C Documentation install DESTDIR=${RPM_BUILD_ROOT} \
     GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
     GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

%clean
rm -rf ${RPM_BUILD_ROOT}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post doc
/sbin/install-info %{_infodir}/AppKit %{_infodir}/dir || :

%preun doc
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/AppKit %{_infodir}/dir || :
fi

%files
%defattr(-,root,root)
%{_bindir}/gclose
%{_bindir}/gopen
%{_bindir}/gcloseall
%{_bindir}/make_services
%{_bindir}/set_show_service
%{_libdir}/GNUstep/Bundles/
%{_libdir}/GNUstep/ColorPickers
%{_libdir}/GNUstep/Images/
%{_libdir}/GNUstep/Sounds
%{_libdir}/GNUstep/Libraries/gnustep-gui/
%{_libdir}/GNUstep/KeyBindings/
%{_libdir}/GNUstep/PostScript/
%{_libdir}/GNUstep/Services/
%{_mandir}/man1/*

%doc ANNOUNCE BUGS COPYING NEWS README

%files devel
%defattr(-,root,root,-)
%{_includedir}/AppKit/
%{_includedir}/GNUstepGUI/
%{_includedir}/Cocoa/
%{_includedir}/gnustep/gui/
%{_libdir}/libgnustep-gui.so
%{_libdir}/GNUstep/Makefiles/Additional/gui.make

%files libs
%defattr(-,root,root,-)
%{_libdir}/libgnustep-gui.so.*
%doc COPYING.LIB

%files doc
%defattr(-,root,root,-)
%{_infodir}/AppKit.info.gz
%{_datadir}/GNUstep/Documentation/*
%doc Documentation/manual/LICENSE

%changelog
* Tue Jul  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-2
- Use new gnustep parallel build feature

* Fri May 14 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-1
- New upstream release

* Tue Oct 13 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-5
- Fix missing BRs

* Tue Sep 29 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-4
- Fix typo

* Sun Sep 27 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-3
- Create separate libs subpackage
- Fix license tag

* Thu Sep 24 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-2
- Rework for new gnustep-make and gnustep-base releases

* Tue Feb 17 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-1
- New upstream release

* Thu Dec 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.14.0-2
- Add some missing BRs

* Wed Dec 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.14.0-1
- Initional Package
